Yandex Cloud
Search
Discuss with expertTry it for free
  • Customer Stories
  • Documentation
  • Blog
  • All Services
  • System Status
  • Marketplace
    • Featured
    • Infrastructure & Network
    • Data Platform
    • AI for business
    • Security
    • DevOps tools
    • Serverless
    • Monitoring & Resources
  • All Solutions
    • By industry
    • By use case
    • Economics and Pricing
    • Security
    • Technical Support
    • Start testing with double trial credits
    • Cloud credits to scale your IT product
    • Gateway to Russia
    • Cloud for Startups
    • Center for Technologies and Society
    • Yandex Cloud Partner program
    • Price calculator
    • Pricing plans
  • Customer Stories
  • Documentation
  • Blog
© 2026 Direct Cursus Technology L.L.C.
Yandex MPP Analytics for PostgreSQL
  • Getting started
  • Access management
  • Pricing policy
  • Terraform reference
    • API authentication
      • Overview
        • Overview
        • Get
        • List
        • Create
        • Update
        • Expand
        • Delete
        • Start
        • Stop
        • Move
        • RescheduleMaintenance
        • ListLogs
        • StreamLogs
        • ListOperations
        • ListMasterHosts
        • ListSegmentHosts
        • ListBackups
        • Backup
        • Restore
        • ListAccessBindings
        • SetAccessBindings
        • UpdateAccessBindings
  • Monitoring metrics
  • Audit Trails events
  • Public materials
  • Release notes

In this article:

  • HTTP request
  • Body parameters
  • GreenplumRestoreConfig
  • TimeOfDay
  • Access
  • Resources
  • MaintenanceWindow
  • WeeklyMaintenanceWindow
  • Response
  • Status
  1. API reference
  2. REST
  3. Cluster
  4. Restore

Managed Service for Greenplum® API, REST: Cluster.Restore

Written by
Yandex Cloud
Improved by
Tania L.
Updated at July 13, 2026
View in Markdown
  • HTTP request
  • Body parameters
  • GreenplumRestoreConfig
  • TimeOfDay
  • Access
  • Resources
  • MaintenanceWindow
  • WeeklyMaintenanceWindow
  • Response
  • Status

Creates a new Greenplum® cluster using the specified backup.

HTTP requestHTTP request

POST https://mdb.api.cloud.yandex.net/managed-greenplum/v1/clusters:restore

Body parametersBody parameters

{
  "backupId": "string",
  "time": "string",
  "folderId": "string",
  "name": "string",
  "description": "string",
  "labels": "object",
  "environment": "string",
  "config": {
    "backupWindowStart": {
      "hours": "integer",
      "minutes": "integer",
      "seconds": "integer",
      "nanos": "integer"
    },
    "access": {
      "dataLens": "boolean",
      "webSql": "boolean",
      "dataTransfer": "boolean",
      "yandexQuery": "boolean"
    },
    "zoneId": "string",
    "subnetId": "string",
    "assignPublicIp": "boolean"
  },
  "masterResources": {
    "resourcePresetId": "string",
    "diskSize": "string",
    "diskTypeId": "string"
  },
  "segmentResources": {
    "resourcePresetId": "string",
    "diskSize": "string",
    "diskTypeId": "string"
  },
  "networkId": "string",
  "securityGroupIds": [
    "string"
  ],
  "deletionProtection": "boolean",
  "hostGroupIds": [
    "string"
  ],
  "maintenanceWindow": {
    // Includes only one of the fields `anytime`, `weeklyMaintenanceWindow`
    "anytime": "object",
    "weeklyMaintenanceWindow": {
      "day": "string",
      "hour": "string"
    }
    // end of the list of possible fields
  },
  "segmentHostCount": "string",
  "segmentInHost": "string",
  "restoreOnly": [
    "string"
  ],
  "masterHostGroupIds": [
    "string"
  ],
  "segmentHostGroupIds": [
    "string"
  ],
  "restorePxf": "boolean",
  "restoreHba": "boolean",
  "serviceAccountId": "string"
}

Field

Description

backupId

string

Required field. ID of the backup to create a cluster from.
To get the backup ID, use a ClusterService.ListBackups request.

time

string (date-time)

Timestamp of the moment to which the Greenplum cluster should be restored.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

folderId

string

Required field. ID of the folder to create the Greenplum® cluster in.

The maximum string length in characters is 50.

name

string

Required field. Name of the Greenplum® cluster. The name must be unique within the folder.

The maximum string length in characters is 63. Value must match the regular expression [a-zA-Z0-9_-]*.

description

string

Description of the Greenplum® cluster.

The maximum string length in characters is 256.

labels

object (map<string, string>)

Custom labels for the Greenplum® cluster as key:value pairs.
For example, "project":"mvp" or "source":"dictionary".

The maximum string length in characters for each value is 63. The maximum string length in characters for each key is 63. Each key must match the regular expression [a-z][-_./\@0-9a-z]*. Each value must match the regular expression [-_./\@0-9a-z]*. No more than 64 per resource.

environment

enum (Environment)

Required field. Deployment environment of the Greenplum® cluster.

  • PRODUCTION: Stable environment with a conservative update policy: only hotfixes are applied during regular maintenance.
  • PRESTABLE: Environment with more aggressive update policy: new versions are rolled out irrespective of backward compatibility.

config

GreenplumRestoreConfig

Greenplum® cluster config.

masterResources

Resources

Resources of the Greenplum® master subcluster.

segmentResources

Resources

Resources of the Greenplum® segment subcluster.

networkId

string

Required field. ID of the network to create the cluster in.

The maximum string length in characters is 50.

securityGroupIds[]

string

User security groups.

deletionProtection

boolean

Determines whether the cluster is protected from being deleted.

hostGroupIds[]

string

Host groups to place VMs of cluster on.

maintenanceWindow

MaintenanceWindow

A Greenplum® cluster maintenance window. Should be defined by either one of the two options.

segmentHostCount

string (int64)

Number of segment hosts

segmentInHost

string (int64)

Number of segments on each host

restoreOnly[]

string

List of databases and tables to restore

The maximum string length in characters for each value is 256. Each value must match the regular expression [a-zA-Z0-9\*_]*(\/[a-zA-Z0-9\*_]*){0,2}. The maximum number of elements is 50.

masterHostGroupIds[]

string

Host groups hosting VMs of the master subcluster.

segmentHostGroupIds[]

string

Host groups hosting VMs of the segment subcluster.

restorePxf

boolean

Restore PXF settings from original cluster

restoreHba

boolean

Restore HBA settings from original cluster

serviceAccountId

string

Service account that will be used to access a Yandex Cloud resources

GreenplumRestoreConfigGreenplumRestoreConfig

Field

Description

backupWindowStart

TimeOfDay

Time to start the daily backup, in the UTC timezone.

access

Access

Access policy for external services.

zoneId

string

ID of the availability zone where the host resides.
To get a list of available zones, use the yandex.cloud.compute.v1.ZoneService.List request.

The maximum string length in characters is 50.

subnetId

string

ID of the subnet that the host should belong to. This subnet should be a part of the network that the cluster belongs to.
The ID of the network is set in the field Cluster.networkId.

The maximum string length in characters is 50.

assignPublicIp

boolean

Determines whether the host should get a public IP address on creation.
After a host has been created, this setting cannot be changed.
To remove an assigned public IP, or to assign a public IP to a host without one, recreate the host with assignPublicIp set as needed.
Possible values:

  • false - do not assign a public IP to the master host.
  • true - assign a public IP to the master host.

TimeOfDayTimeOfDay

Represents a time of day. The date and time zone are either not significant
or are specified elsewhere. An API may choose to allow leap seconds. Related
types are google.type.Date and google.protobuf.Timestamp.

Field

Description

hours

integer (int32)

Hours of day in 24 hour format. Should be from 0 to 23. An API may choose
to allow the value "24:00:00" for scenarios like business closing time.

minutes

integer (int32)

Minutes of hour of day. Must be from 0 to 59.

seconds

integer (int32)

Seconds of minutes of the time. Must normally be from 0 to 59. An API may
allow the value 60 if it allows leap-seconds.

nanos

integer (int32)

Fractions of seconds in nanoseconds. Must be from 0 to 999,999,999.

AccessAccess

Field

Description

dataLens

boolean

Allows data export from the cluster to DataLens.

webSql

boolean

Allows SQL queries to the cluster databases from the management console.

dataTransfer

boolean

Allows access for DataTransfer.

yandexQuery

boolean

Allow access for YandexQuery.

ResourcesResources

Field

Description

resourcePresetId

string

ID of the preset for computational resources allocated to a host.
Available presets are listed in the documentation.

diskSize

string (int64)

Volume of the storage used by the host, in bytes.

diskTypeId

string

Type of the storage used by the host: network-ssd or local-ssd.

MaintenanceWindowMaintenanceWindow

Field

Description

anytime

object

An any-time maintenance window.

Includes only one of the fields anytime, weeklyMaintenanceWindow.

weeklyMaintenanceWindow

WeeklyMaintenanceWindow

A weekly maintenance window.

Includes only one of the fields anytime, weeklyMaintenanceWindow.

WeeklyMaintenanceWindowWeeklyMaintenanceWindow

A weekly maintenance window.

Field

Description

day

enum (WeekDay)

Day of the week.

  • MON: Monday
  • TUE: Tuesday
  • WED: Wednesday
  • THU: Thursday
  • FRI: Friday
  • SAT: Saturday
  • SUN: Sunday

hour

string (int64)

Hour of the day in the UTC timezone.

Acceptable values are 1 to 24, inclusive.

ResponseResponse

HTTP Code: 200 - OK

{
  "id": "string",
  "description": "string",
  "createdAt": "string",
  "createdBy": "string",
  "modifiedAt": "string",
  "done": "boolean",
  "metadata": "object",
  // Includes only one of the fields `error`, `response`
  "error": {
    "code": "integer",
    "message": "string",
    "details": [
      "object"
    ]
  },
  "response": "object"
  // end of the list of possible fields
}

An Operation resource. For more information, see Operation.

Field

Description

id

string

ID of the operation.

description

string

Description of the operation. 0-256 characters long.

createdAt

string (date-time)

Creation timestamp.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

createdBy

string

ID of the user or service account who initiated the operation.

modifiedAt

string (date-time)

The time when the Operation resource was last modified.

String in RFC3339 text format. The range of possible values is from
0001-01-01T00:00:00Z to 9999-12-31T23:59:59.999999999Z, i.e. from 0 to 9 digits for fractions of a second.

To work with values in this field, use the APIs described in the
Protocol Buffers reference.
In some languages, built-in datetime utilities do not support nanosecond precision (9 digits).

done

boolean

If the value is false, it means the operation is still in progress.
If true, the operation is completed, and either error or response is available.

metadata

object

Service-specific metadata associated with the operation.
It typically contains the ID of the target resource that the operation is performed on.
Any method that returns a long-running operation should document the metadata type, if any.

error

Status

The error result of the operation in case of failure or cancellation.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

response

object

The normal response of the operation in case of success.
If the original method returns no data on success, such as Delete,
the response is google.protobuf.Empty.
If the original method is the standard Create/Update,
the response should be the target resource of the operation.
Any method that returns a long-running operation should document the response type, if any.

Includes only one of the fields error, response.

The operation result.
If done == false and there was no failure detected, neither error nor response is set.
If done == false and there was a failure detected, error is set.
If done == true, exactly one of error or response is set.

StatusStatus

The error result of the operation in case of failure or cancellation.

Field

Description

code

integer (int32)

Error code. An enum value of google.rpc.Code.

message

string

An error message.

details[]

object

A list of messages that carry the error details.

Was the article helpful?

Previous
Backup
Next
ListAccessBindings
© 2026 Direct Cursus Technology L.L.C.